#
# spec file for package rstcheck
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rstcheck
Version:        1.5.1
Release:        1.2
Summary:        Checks syntax of rST and code blocks nested within it
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/myint/rstcheck
Source:         http://pypi.python.org/packages/source/r/rstcheck/rstcheck-%{version}.tar.gz
BuildRequires:  python3-Sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Checks syntax of reStructuredText and code blocks nested within it.

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py -q test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{_bindir}/rstcheck
%{python3_sitelib}/*

%changelog
* Tue Jun 28 2016 jhura@suse.com
- bump to version 1.5.1
- turn off building for python2
- check spec file with spec cleaner
* Tue Dec  8 2015 rneuhauser@suse.cz
- rstcheck-1.4.1
* Tue Apr 14 2015 rneuhauser@suse.cz
- rstcheck-1.3.1
